=== debian/changelog ===
petsc (3.24.1+dfsg1-4ubuntu2) resolute; urgency=medium

  * Rebuild against new libmumps-5.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Dec 2025 14:36:37 +0100

petsc (3.24.1+dfsg1-4ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 15:33:11 +0100

petsc (3.22.5+dfsg1-2ubuntu3) resolute; urgency=medium

  * No-change rebuild for libhypre-2.33.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 22 Nov 2025 22:11:24 +0000

petsc (3.22.5+dfsg1-2ubuntu2) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:26:42 +0200
