=== debian/watch ===
Version: 5

Source: https://web.cels.anl.gov/projects/petsc/download/release-snapshots/
Matching-Pattern: petsc-with-docs-@ANY_VERSION@@ARCHIVE_EXT@
Dversion-Mangle: s/\+dfsg\d*$//
Repacksuffix: +dfsg1
