## petsc 3.24.2+dfsg1

=== debian/changelog ===
petsc (3.24.2+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jan 2026 18:31:26 +0100

petsc (3.24.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_complex_overloading_MR8820.diff

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 22:37:46 +0100
