## petsc 3.24.3+dfsg1

=== debian/changelog ===
petsc (3.24.3+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 07:54:57 +0100

petsc (3.24.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: dh-fortran not dh-fortran-mod
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jan 2026 14:31:07 +0100
