=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  "Adam C. Powell, IV" <hazelsct@debian.org>,
  Drew Parsons <dparsons@debian.org>,
  Francesco Ballarin <francesco.ballarin@unicatt.it>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), python3, gfortran,
  pkgconf, dh-python,
- dh-fortran-mod,
+ dh-fortran,
  gdb,
  mpi-default-dev (>= 1.17),
  ocl-icd-opencl-dev | opencl-dev,
