## petsc 3.24.4+dfsg1

=== debian/changelog ===
petsc (3.24.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update F. Ballarin's email address

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 07:47:47 +0000
